<?php get_header(); ?>

<!-- CONTENT -->

  <div id="content">

		<?php if (have_posts()) : ?>
		
			<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
			
			<?php if (is_category()) { ?>
			<h1 class="pagetitle"><?php _e('Archive for the &#8216;', 'grey_matter'); ?><?php echo single_cat_title(); ?><?php _e('&#8217; Category', 'grey_matter'); ?></h1>

			<?php } elseif (is_day()) { ?>
			<h1 class="pagetitle"><?php _e('Archive for&nbsp;', 'grey_matter'); the_time(__('F j, Y', 'grey_matter')); ?></h1>

			<?php } elseif (is_month()) { ?>
			<h1 class="pagetitle"><?php _e('Archive for&nbsp;', 'grey_matter'); the_time(__('F, Y', 'grey_matter')); ?></h1>
			
			<?php } elseif (is_year()) { ?>
			<h1 class="pagetitle"><?php _e('Archive for&nbsp;', 'grey_matter'); the_time(__('Y', 'grey_matter')); ?></h1>
			
			<?php } elseif (is_search()) { ?>
			<h1 class="pagetitle"><?php _e('Search Results', 'grey_matter'); ?></h1>

			<?php } elseif (is_author()) { ?>
			<h1 class="pagetitle"><?php _e('Author Archive', 'grey_matter'); ?></h1>
			
			<?php } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
			<h1 class="pagetitle"><?php _e('Blog Archives', 'grey_matter'); ?></h1>
			
			<?php } ?>
			
			<?php while (have_posts()) : the_post(); ?>

          <h1 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Read the whole post','grey_matter'); ?>"><?php the_title(); ?></a></h1>

          <?php the_excerpt(); ?>

    			<div id="postmeta">

            <?php include("inc.postmeta.php"); ?>

				  </div>

			<?php endwhile; ?>

 			<div id="navigation">
 				<div class="left"><?php next_posts_link(__('&laquo; Older Entries','grey_matter')) ?></div>
  			<div class="right"><?php previous_posts_link(__('Newer Entries &raquo;','grey_matter')) ?></div>
	  	</div>

		<?php else : ?>
			<h1><?php _e('No posts found','grey_matter'); ?></h1>
			<p><?php _e('This category is empty so far.','grey_matter'); ?> <a href="<?php echo get_settings('home'); ?>"><?php _e('Visit the homepage &raquo;', 'grey_matter'); ?></a></p>
		<?php endif; ?>

  </div>

  <?php get_sidebar(); ?>

<!-- /CONTENT -->

<?php get_footer(); ?>